Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593369 - virtio-blk: Avoid zeroing every request structure
Summary: virtio-blk: Avoid zeroing every request structure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Jes Sorensen
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 598042
TreeView+ depends on / blocked
 
Reported: 2010-05-18 15:57 UTC by Jes Sorensen
Modified: 2010-09-13 05:46 UTC (History)
4 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.55.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 598042 (view as bug list)
Environment:
Last Closed: 2010-06-11 02:44:27 UTC
Target Upstream Version:


Attachments (Terms of Use)
Avoid zeroing every request structure in virtio-blk (deleted)
2010-05-18 16:06 UTC, Jes Sorensen
no flags Details | Diff
54 vs 61 raw data (deleted)
2010-06-10 08:46 UTC, Quan Wenli
no flags Details

Description Jes Sorensen 2010-05-18 15:57:04 UTC
Description of problem:
Avoid zeroing every request structure in virtio-blk.

This is a patch proposed for upstream by Stefan from IBM.

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Have run benchmarks seeing performance boost of 5-20% with this patch applied.

Patch not in upstream yet, but been acked by community. Believe it is very low risk to apply to RHEL6.

Comment 1 Jes Sorensen 2010-05-18 16:06:06 UTC
Created attachment 414901 [details]
Avoid zeroing every request structure in virtio-blk

Comment 2 RHEL Product and Program Management 2010-05-18 16:15:45 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 9 Quan Wenli 2010-06-10 08:46:31 UTC
Created attachment 422824 [details]
54 vs 61 raw data

Comment 10 Quan Wenli 2010-06-11 02:44:27 UTC
As comment #8 & #9 .I close it.


Note You need to log in before you can comment on or make changes to this bug.